Summary:	A set of useful profiles and a profile-switcher for GNU screen
Summary(hu.UTF-8):	Hasznos profilok és profilváltó gyűjteménye a GNU screen-hez
Summary(pl.UTF-8):	Zestaw przydatnych profili oraz przełącznik profili dla GNU screena
Name:		byobu
Version:	5.133
Release:	1
License:	GPL v3
Group:		Applications/System
Source0:	https://code.launchpad.net/byobu/trunk/%{version}/+download/%{name}_%{version}.orig.tar.gz
# Source0-md5:	0ff03f3795cc08aae50c1ab117c03261
Patch0:		desktop.patch
Patch1:		pld-logo.patch
URL:		https://launchpad.net/byobu
BuildRequires:	gettext-tools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.596
Requires:	desktop-file-utils
Requires:	python >= 1:2.5
Requires:	python-snack
Suggests:	screen
Suggests:	tmux >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc '*.txt'

%define		_libexecdir	%{_prefix}/lib

%description
Byobu is an elegant enhancement of the otherwise functional, plain,
practical GNU Screen. Byobu includes an enhanced profile and
configuration utilities for the GNU screen window manager, such as
toggle-able system status notifications.

%description -l hu.UTF-8
Byobu egy elegáns kiterjesztése az amúgy használható, egyszerű,
praktikus GNU screen-nek. A Byobu tartalmaz egy kiterjesztett profilt
és konfigurációs eszközöket a GNU screen ablakkezelőhöz, pl. a
ki/bekapcsolható rendszer státusz jelentéseket.

%description -l pl.UTF-8
Byobu to eleganckie rozszerzenie dla funkcjonalnego, zwykłego,
praktycznego GNU screena. Byobu zawiera rozszerzony profil oraz
narzędzia konfiguracyjne dla zarządcy okien, jakim jest GNU screen
- takie jak przełączane powiadomienia o stanie systemu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '
	s#/share/doc/byobu#/share/doc/%{name}-%{version}#
' usr/share/byobu/keybindings/*

%{__sed} -i -e '1s,^#!.*python3,#!%{__python3},' usr/lib/byobu/include/*.py{,.in}

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%configure
%{__make}

for po in po/*.po; do
	lang=${po#po/}
	lang=${lang%.po}
	mkdir -p locale/${lang}/LC_MESSAGES/
	msgfmt ${po} -o locale/${lang}/LC_MESSAGES/%{name}.mo
done

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	CP="cp -p" \
	DESTDIR=$RPM_BUILD_ROOT

# some debian hackery, just use the "current" one for pld
install -d $RPM_BUILD_ROOT%{_desktopdir}
mv $RPM_BUILD_ROOT{%{_datadir}/%{name}/desktop,%{_desktopdir}}/%{name}.desktop

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

install -d $RPM_BUILD_ROOT%{_localedir}
cp -a locale/* $RPM_BUILD_ROOT%{_localedir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md
%doc usr/share/doc/byobu/*.txt
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/backend
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/socketdir
%attr(755,root,root) %{_bindir}/byobu
%attr(755,root,root) %{_bindir}/byobu-config
%attr(755,root,root) %{_bindir}/byobu-ctrl-a
%attr(755,root,root) %{_bindir}/byobu-disable
%attr(755,root,root) %{_bindir}/byobu-disable-prompt
%attr(755,root,root) %{_bindir}/byobu-enable
%attr(755,root,root) %{_bindir}/byobu-enable-prompt
%attr(755,root,root) %{_bindir}/byobu-export
%attr(755,root,root) %{_bindir}/byobu-janitor
%attr(755,root,root) %{_bindir}/byobu-keybindings
%attr(755,root,root) %{_bindir}/byobu-launch
%attr(755,root,root) %{_bindir}/byobu-launcher
%attr(755,root,root) %{_bindir}/byobu-launcher-install
%attr(755,root,root) %{_bindir}/byobu-launcher-uninstall
%attr(755,root,root) %{_bindir}/byobu-layout
%attr(755,root,root) %{_bindir}/byobu-prompt
%attr(755,root,root) %{_bindir}/byobu-quiet
%attr(755,root,root) %{_bindir}/byobu-reconnect-sockets
%attr(755,root,root) %{_bindir}/byobu-screen
%attr(755,root,root) %{_bindir}/byobu-select-backend
%attr(755,root,root) %{_bindir}/byobu-select-profile
%attr(755,root,root) %{_bindir}/byobu-select-session
%attr(755,root,root) %{_bindir}/byobu-shell
%attr(755,root,root) %{_bindir}/byobu-silent
%attr(755,root,root) %{_bindir}/byobu-status
%attr(755,root,root) %{_bindir}/byobu-status-detail
%attr(755,root,root) %{_bindir}/byobu-tmux
%attr(755,root,root) %{_bindir}/byobu-ugraph
%attr(755,root,root) %{_bindir}/byobu-ulevel
%attr(755,root,root) %{_bindir}/col1
%attr(755,root,root) %{_bindir}/ctail
%attr(755,root,root) %{_bindir}/manifest
%attr(755,root,root) %{_bindir}/purge-old-kernels
%attr(755,root,root) %{_bindir}/vigpg
%attr(755,root,root) %{_bindir}/wifi-status
%{_mandir}/man1/*.1*
/etc/profile.d/Z97-byobu.sh
%{_datadir}/dbus-1/services/us.kirkland.terminals.byobu.service
%{_desktopdir}/%{name}.desktop
# preserve +x bits where needed
%defattr(-,root,root,-)
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%changelog
* Wed May 13 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/byobu.git;a=log;h=master

* Wed May 13 2020 Elan Ruusamäe <glen@pld-linux.org> a896e0c
- Up to 5.133

* Sat Nov 16 2019 Elan Ruusamäe <glen@pld-linux.org> 56257d6
- Up to 5.129

* Tue Nov 15 2016 Elan Ruusamäe <glen@delfi.ee> 41e6990
- add pld logo

* Sun Nov 13 2016 Elan Ruusamäe <glen@delfi.ee> 840cf49
- up to 5.112

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> 62082d7
- add TerminalEmulator to desktop Categories

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> c6331c1
- up to 5.111

* Mon May 30 2016 Elan Ruusamäe <glen@delfi.ee> 8bb7b7b
- up to 5.107 (Thu, 14 Apr 2016 11:21:51)

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> bf09bee
- up to 5.106

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 691ed72
- works for me, so rel 1

* Sun Apr 03 2016 Elan Ruusamäe <glen@delfi.ee> f1b85bf
- tmux version

* Sun Apr 03 2016 Elan Ruusamäe <glen@delfi.ee> a90e290
- fix help (shift F1) packaging

* Sun Apr 03 2016 Elan Ruusamäe <glen@delfi.ee> dcd7045
- requires snack python module (from newt)

* Sun Apr 03 2016 Elan Ruusamäe <glen@delfi.ee> 50e506b
- preserve execute bit in libdir

* Sun Apr 03 2016 Elan Ruusamäe <glen@delfi.ee> 58a24a0
- uses tmux by default, but should be able to use screen as well

* Sun Apr 03 2016 Elan Ruusamäe <glen@delfi.ee> f896fdc
- up to 5.97

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d420996
- updated gettext BR

* Fri Mar 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 2e06fbb
- pl
- python epoch
- la locale is now supported (via LANGUAGE)

* Sun May 16 2010 sparky <sparky@pld-linux.org> d3ce91f
- BR: rpm-pythonprov
- replaced BR: gettext with BR: gettext-devel

* Fri Oct 02 2009 Zsolt Udvari <uzsolt@pld-linux.org> 2b3e186
- initial

